## magit-popup 2.12.3

=== debian/changelog ===
magit-popup (2.12.3-2) unstable; urgency=medium

  * Add attributions to debian/copyright (Closes: #900835)

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 08 Jun 2018 21:39:30 +0200

magit-popup (2.12.3-1) unstable; urgency=medium

  * First release (Closes: #895010).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 06 Apr 2018 11:11:15 +0200

## magit-popup 2.12.4

=== debian/changelog ===
magit-popup (2.12.4-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 29 Jul 2018 12:20:55 +0200

## magit-popup 2.13.0

=== Makefile ===
-include config.mk

PKG   = magit-popup

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = dash

VERSION ?= $(shell test -e $(TOP).git && git describe --tags --abbrev=0 | cut -c2-)

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

ifndef ORG_LOAD_PATH
ORG_LOAD_PATH  = -L ../dash
ORG_LOAD_PATH += -L ../org/lisp
ORG_LOAD_PATH += -L ../org/contrib/lisp
ORG_LOAD_PATH += -L ../ox-texinfo+
endif

INSTALL_INFO     ?= $(shell command -v ginstall-info || printf install-info)
MAKEINFO         ?= makeinfo
MANUAL_HTML_ARGS ?= --css-ref /assets/page.css

all: lisp info
doc: info html html-dir pdf

help:
	$(info make all          - generate lisp and manual)
	$(info make doc          - generate most manual formats)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make texi         - generate texi manual (see comments))
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	$(info make publish      - publish snapshot manuals)
	$(info make release      - publish release manuals)
	$(info make clean        - remove most generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

$(PKG).elc:
$(PKG)-desc.elc: $(PKG).elc
$(PKG)-list.elc: $(PKG).elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
.PHONY: texi
texi:
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

DOMAIN         ?= magit.vc
PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/

S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)

CFRONT_DIST    ?= E2LUHBKU1FBV02
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: html html-dir pdf
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
CLEAN += $(PKG) $(PKG).html $(PKG).pdf

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

## magit-popup 2.12.5

=== debian/changelog ===
magit-popup (2.12.5-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 28 Dec 2018 11:48:45 +0100

=== debian/control ===
Source: magit-popup
Section: vcs
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7), texinfo, install-info
Standards-Version: 4.1.4
Homepage: http://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-popup
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-popup.git

Package: elpa-magit-popup
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Enhances: emacs, emacs25, emacs24
Description: Use popup like Magit
 This package implements a generic interface for toggling switches
 and setting options and then invoking an Emacs command which does
 something with these arguments.  The prototypical use is for the
 command to call an external process, passing on the arguments as
 command line arguments.  But this is only one of many possible
 uses (though the one this library is optimized for).

## magit-popup 2.13.0

=== debian/changelog ===
magit-popup (2.13.0-1) unstable; urgency=medium

  * New upstream version
  * Change control: magit-popup is deprecated by upstream, and goes in
    maintenance only mode

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 29 Jul 2019 09:44:42 +0200

=== debian/control ===
--- 
+++ 
@@ -21,3 +21,6 @@
  command to call an external process, passing on the arguments as
  command line arguments.  But this is only one of many possible
  uses (though the one this library is optimized for).
+ .
+ This package has been superseded by Transient.  No new features
+ will be added but bugs will be fixes.

## magit-popup 2.13.2

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,7 @@
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
-	$(info make publish      - publish snapshot manuals)
-	$(info make release      - publish release manuals)
+	$(info make publish      - publish manual)
 	$(info make clean        - remove most generated files)
 	@printf "\n"
 
@@ -113,11 +112,9 @@
 
 DOMAIN         ?= magit.vc
 PUBLISH_PATH   ?= /manual/
-RELEASE_PATH   ?= /manual/$(VERSION)/
 
 S3_BUCKET      ?= s3://$(DOMAIN)
 PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
-RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
 
 CFRONT_DIST    ?= E2LUHBKU1FBV02
 CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*
@@ -133,14 +130,6 @@
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
-
-release: html html-dir pdf
-	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
-	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
-	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/
-	@printf "Generating CDN invalidation\n"
-	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
-	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
 
 CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
 CLEAN += $(PKG) $(PKG).html $(PKG).pdf

=== debian/changelog ===
magit-popup (2.13.2-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Rémi Vanicat ]
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 14 Jan 2020 14:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: magit-popup
 Section: vcs
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7), texinfo, install-info
 Standards-Version: 4.1.4

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	make loaddefs info
	@echo do not run make

=== debian/watch ===
version=3
https://github.com/magit/magit-popup/releases /magit/magit-popup/archive/v(\d.+).tar.gz

## magit-popup 2.13.3

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,7 @@
 LOAD_PATH  += -L .
 
 ifndef ORG_LOAD_PATH
-ORG_LOAD_PATH  = -L ../dash
-ORG_LOAD_PATH += -L ../org/lisp
+ORG_LOAD_PATH  = -L ../org/lisp
 ORG_LOAD_PATH += -L ../org/contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif

=== debian/changelog ===
magit-popup (2.13.3-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:40:20 +0900

magit-popup (2.13.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Enhances (packages do not exist in
    bullseye).

  [ Xiyue Deng ]
  * Repair d/watch.
  * New upstream release (Closes: #1041822).
  * Drop Built-Using from elpa-magit-popup as per lintian suggestion.
  * Update Standards-Version to 4.6.2.  No change needed.
  * Add Upstream-Contact in d/copyright.
  * Update debhelper-compat to 13.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 20 Oct 2023 17:03:24 -0700

=== debian/control ===
Source: magit-popup
Section: vcs
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.7), texinfo, install-info
Standards-Version: 4.6.2
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-popup
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-popup.git

Package: elpa-magit-popup
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Description: Use popup like Magit
 This package implements a generic interface for toggling switches
 and setting options and then invoking an Emacs command which does
 something with these arguments.  The prototypical use is for the
 command to call an external process, passing on the arguments as
 command line arguments.  But this is only one of many possible
 uses (though the one this library is optimized for).
 .
 This package has been superseded by Transient.  No new features
 will be added but bugs will be fixed.

=== debian/watch ===
version=4
    https://github.com/magit/magit-popup/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
